<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="container position-relative">
	<vp-backenderror
			[exclude]="[ErrorMessage.StartVotingKeyInvalid, ErrorMessage.ExtendedFactorInvalid]"
			class="sticky-top pt-1"
	></vp-backenderror>

	<p
			*ngIf="cancelProcessService.cancelState === CancelState.CANCEL_VOTE"
			class="alert alert-success d-flex align-items-start gap-3"
			id="cancelMessage"
			role="alert"
	>
		<vp-icon name="check-lg"></vp-icon>
		<span [innerHTML]="'startvoting.cancel' | translate"></span>
	</p>

	<p
			*ngIf="cancelProcessService.cancelState === CancelState.LEAVE_PROCESS"
			class="alert alert-success d-flex align-items-start gap-3"
			id="leaveMessage"
			role="alert"
	>
		<vp-icon name="check-lg"></vp-icon>
		<span [innerHTML]="('startvoting.leave.' + configuration.identification) | translate"></span>
	</p>

	<div
			*ngIf="cancelProcessService.cancelState === CancelState.QUIT"
			class="alert alert-success d-flex align-items-baseline gap-3 fs-5"
			id="quitMessage"
			role="alert"
	>
		<vp-icon name="check-lg"></vp-icon>
		<div>
			<ng-container *vpTranslationList="'startvoting.quittedsuccessfully'; key as paragraph">
				<p [innerHTML]="paragraph | translate"></p>
			</ng-container>
		</div>
	</div>

	<h1 class="mt-5">{{ 'startvoting.title' | translate }}</h1>
	<p class="lead mt-2" id="enterExtendedFactorCodeMessage">
    <span *ngIf="configuration.identification">{{ ('startvoting.enterstartvotingkey.' +
		configuration.identification) | translate }}</span>
		<br/>
		<span>{{ 'startvoting.browserinstructions' | translate }}</span>
	</p>

	<form
			(ngSubmit)="start()"
			[formGroup]="voterForm"
			autocomplete="off"
			class="mt-5"
			novalidate
			spellcheck="false"
	>
		<!-- start voting key -->
		<div class="card">
			<div class="card-header">
				<h2 class="card-title h4">
					<label class="d-flex align-items-center gap-3" for="startVotingKey">
						<vp-icon class="voting-card-symbol" name="voting-card-triangle"></vp-icon>
						<span>{{ 'startvoting.key.label' | translate }}</span>
					</label>
				</h2>

				<button
						(click)="showFAQ()"
						class="btn btn-link"
						id="show-faq-link"
						type="button"
				>
					<vp-icon name="question-circle"></vp-icon>
					<span>{{ 'startvoting.key.help' | translate }}</span>
				</button>
			</div>
			<div class="card-body">
				<vp-clearable-input buttonLabel="startvoting.key.clear">
            <textarea
				#startVotingInput
				(keydown.enter)="submitFormOnEnter()"
				[class.is-invalid]="formSubmitted && startVotingKey.invalid || startVotingKeyBackendError.error"
				[formControl]="startVotingKey"
				aria-describedby="startVotingKey-charcaseinfo startVotingKey-required startVotingKey-invalid"
				class="form-control form-control-lg form-control-monospace"
				id="startVotingKey"
				mask="AAAA AAAA AAAA AAAA AAAA AAAA"
				required
				vpMultilineInput
			></textarea>
				</vp-clearable-input>

				<p class="mt-2 mb-0 small">
					<em id="startVotingKey-charcaseinfo">{{
						'startvoting.key.charcaseinfo' | translate
						}}</em>
				</p>

				<p
						*ngIf="startVotingKey?.invalid && formSubmitted && !startVotingKeyBackendError.error"
						class="alert alert-warning mt-3"
						id="startVotingKey-required"
				>
					{{ 'startvoting.key.required' | translate }}
				</p>

				<vp-backenderror
					#startVotingKeyBackendError
					[includeOnly]="ErrorMessage.StartVotingKeyInvalid"
					alertId="startVotingKey-invalid"
					class="mt-3"
				></vp-backenderror>
			</div>
		</div>

		<vp-extended-factor
				[formSubmitted]="formSubmitted"
				[voterForm]="voterForm"
		></vp-extended-factor>

		<div class="footer-nav my-5 d-flex flex-column flex-sm-row-reverse gap-4">
			<div aria-live="polite" class="visually-hidden" role="region">
				<p *ngIf="isLoading$ | async">{{ 'common.loadingnextpage' | translate }}</p>
			</div>

			<button
					[disabled]="isLoading$ | async"
					class="btn btn-dark btn-lg"
					id="btn_start_voting"
					type="submit"
			>
				{{ 'startvoting.start' | translate }}

				<span
						*ngIf="isLoading$ | async"
						aria-hidden="true"
						class="spinner-border spinner-border-sm"
						role="status"
				></span>
			</button>
			<button
					*ngIf="electionEventId$ | async as electionEventId"
					[routerLink]="['/legal-terms', electionEventId]"
					class="btn btn-link btn-lg"
			>
				{{ 'common.back' | translate }}
			</button>
		</div>
	</form>
</div>
